Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module messagebar :: Class MessageBar |
[frames] | no frames]

# Class MessageBar

source code

    wx.Panel --+
               |
              MessageBar

This class is used to create (or hide) a message text displayed at the top of the Timeline window. A message comes in two flavors:

- Information message
- Warning message

What distinguishes the two flavors is the background color of the message text area.

Instance Methods
__init__(self, parent, name=None) The name parameter is needed for testing purposes. | source code
ShowWarningMessage(self, message) | source code
ShowInformationMessage(self, message) | source code
ShowNoMessage(self) | source code